\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{csmagclass2}[2014/08/16 Example LaTeX class]

\newcommand{\headlinecolor}{\normalcolor}
\LoadClass[10pt,onecolumn,oneside,sort&compress,]{article}

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions\relax

\usepackage{authblk}
\usepackage{geometry,blindtext,graphicx}
\usepackage[absolute]{textpos}
\usepackage{abstract,titlesec,setspace}
\usepackage{cuted,color}
\usepackage{footmisc}
\geometry{a4paper,total={17.5cm,22.5cm},left=4cm,right=2.3cm,bottom=3cm,top=3cm }
\font\myfont=cmr12 at 10pt		
\titleformat{\section}[block]{\large\bfseries\filcenter}{\thesection.}{0.1cm}{}
\titleformat{\subsection}[block]{\normalsize\itshape\filcenter}{\thesubsection.}{0.1cm}{}
\renewcommand{\thefootnote}{\fnsymbol{footnote}}
\renewcommand{\abstractname}{}
\renewcommand{\figurename}{Fig.}
\renewcommand{\tablename}{Tab.}
\setlength{\columnsep}{0.6cm}
	\usepackage{leading}
%----headings---
\usepackage{fancyheadings}		
\pagestyle{fancy}		
\fancyhf{}			
\chead[\it Template for Calculation of Length of Manuscript $\dots$]{\it Template for Calculation of Length of Manuscript $\dots$}	 %
\lhead[\pagestyle{empty}]{\thepage}		
\rhead[\thepage]{\pagestyle{empty}}		
%------------------
\leading{24pt}
%\newcommand{\Abstract}{\noindent\leading{24pt}}
\newcommand{\headings}{\thispagestyle{empty}	
\begin{textblock}{11.2}(2.8,1)		\leading{12pt}																
		\hspace*{-0.03\textwidth}Vol. XXX (20XX) \hspace*{0.25\textwidth} {\it CSMAG'19}	\hspace*{0.35\textwidth}	No. X	\\{\rule{\textwidth}{0.5pt}}				 %
\end{textblock}
}
\renewcommand\maketitle{{\centering\leading{12pt}
        {\LARGE\@title\par\vskip 0.5cm}
        {\myfont\textrm{\@author}\@thanks\par\vskip -1.5cm}
       {}
    }
}
\newenvironment{Abs}{\begin{abstract}
\list{}{%
    \normalsize\setlength{\leftmargin}{-0.9cm}
    \setlength{\rightmargin}{\leftmargin}%
  }%
  }
{\end{abstract}}

 \newcommand{\keyword}[2][]{{\textbf{Keywords: }#1#2}}